import './dss/dss_hud/dss_hud_main';
import './dss/shop_lobby';
import './dss/normal';
import './dss/medium';
import './dss/large';
import './dss/alive';
import './dss/npc_lobby';
import './dss/npc_clinic';
import './dss/npc_shop';
import './dss/intro';
import './dss/starting';

// [•] SOUND
import './dss_sound/dss_sound_main';

import { world } from '@minecraft/server';

import { itemUseController as wand1Controller } from "./dss/wand_1";
import { itemUseController as wand2Controller } from "./dss/wand_2";
import { itemUseController as wand3Controller } from "./dss/wand_3";
import { itemUseController as wand4Controller } from "./dss/wand_4";
import { itemUseController as extinguisherController } from "./dss/extinguisher";

// Combine all wand controllers into a single event handler
world.afterEvents.itemUse.subscribe((event) => {
    wand1Controller(event);
    wand2Controller(event);
    wand3Controller(event);
    wand4Controller(event);
    extinguisherController(event);
});